/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 France Telecom R&D
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: MDBEndpointMessageDrivenBean.java 21483 2011-06-23 14:47:13Z jppouzol $
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.cxf.transport.reliablejms.example.ejbmdb.endpoint;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.EJB;
import javax.ejb.MessageDriven;

import org.ow2.jonas.cxf.transport.reliablejms.AbsReliableJMSTransportMessageDrivenBean;
import org.ow2.jonas.cxf.transport.reliablejms.IReliableJMSTransportSingletonBean;

@MessageDriven(activationConfig = { @ActivationConfigProperty(propertyName = "destination", propertyValue = "endpointQueue"),
        @ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue") })
public class MDBEndpointMessageDrivenBean extends AbsReliableJMSTransportMessageDrivenBean {

    @EJB(name = "endpointSingleton")
    protected void setSingletonBean(IReliableJMSTransportSingletonBean singletonBean) {
        super.setSingletonBean(singletonBean);
    }
}
